curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conversationId": "F876A7C5C73A1B3CA94FE405DF30D0A2",
"formId": "75f57446-1d65-478a-87ed-22d17dc3d077",
"fields": [
{
"fieldId": "d85b8e46-f579-482f-b383-22648aae17b5",
"dispositionId": "d7a2980d-5496-44aa-8046-bf2233e7999f",
"dispositionValue": "inquiry"
},
{
"fieldId": "e130e3f2-c8de-4ba9-a26e-8ac705642832",
"dispositionId": "8f7faac9-742c-42d6-bac7-c8a63f587e57",
"dispositionValue": null
}
]
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "No dispositions for conversationId F876A7C5C73A1B3CA94FE405DF30D0A2 and formId 75f57446-1d65-478a-87ed-22d17dc3d077."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Get dispositions
Use this method to get a conversation form with attached fields and values.
Required scope: Enable one of: conversations:manage, conversations:read.
curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conversationId": "F876A7C5C73A1B3CA94FE405DF30D0A2",
"formId": "75f57446-1d65-478a-87ed-22d17dc3d077",
"fields": [
{
"fieldId": "d85b8e46-f579-482f-b383-22648aae17b5",
"dispositionId": "d7a2980d-5496-44aa-8046-bf2233e7999f",
"dispositionValue": "inquiry"
},
{
"fieldId": "e130e3f2-c8de-4ba9-a26e-8ac705642832",
"dispositionId": "8f7faac9-742c-42d6-bac7-c8a63f587e57",
"dispositionValue": null
}
]
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "No dispositions for conversationId F876A7C5C73A1B3CA94FE405DF30D0A2 and formId 75f57446-1d65-478a-87ed-22d17dc3d077."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Id of the conversation.
Query Parameters
Id of the form. If none provided, the one currently assigned to a conversation is used.